@ECHO OFF
REM this file sets several variables necessary for building the PLOY
REM executable and the literate program document

REM ===================================
REM ========== CONFIGURATION ==========
REM ===================================

REM processingMode defines whether only the literate program
REM document should be produced (document), the program itself
REM (executable) or both (all)
REM SET processingMode=document
REM SET processingMode=executable
SET processingMode=all

REM -----
REM LaTeX
REM -----
REM the pdflatex variable tells the location of the LaTeX processor
REM with PDF output; if there is none, the variable should be empty
SET pdfLaTeX=pdflatex

REM -----
REM GNAT
REM -----
REM the gnuAdaMake variable tells the location of the GNU Ada compiler
REM make and window resource file compilation commands; if there is none,
REM the variables should be empty
SET gnuWindres=windres
SET gnuAdaMake=gnatmake

REM -----
REM the gtkadaIncludeDirectory variable tells the location of the
REM GtkAda include files; if GtkAda is not installed, the variable
REM should be empty
SET gtkAdaIncludeDirectory="C:\Program Files\GtkAda\include\gtkada"

REM -----
REM the tempDirectory variable tells where temporary files should be
REM put; if you leave this empty the %TEMP% directory will be used
SET tempDirectory=%currentDirectory%\temp
REM SET tempDirectory=
